curl --request GET \
--url https://api.treasuryprime.com/account_product \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/account_product"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/account_product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_type": "checking",
"created_at": "2021-10-27T18:56:55Z",
"id": "apt_11gqk87qmrax",
"name": "Personal checking",
"ownership": "personal",
"updated_at": "2021-10-27T18:56:55Z",
"userdata": null
}
]
}List Account Products
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The type of account, such as checking or savings. Filterable.
ID of the FBO associated with this account product. Filterable.
Descriptive name of the account product. Filterable.
One of business or personal. Filterable.
Pagination cursor, value is the object ID.
Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.
x >= 1Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Response
A dictionary with a data property that contains a list of up to page_size account_product elements, starting after the account_product described by page_cursor. If no more account_products are available, the resulting list will be empty.
Show child attributes
Show child attributes
Was this page helpful?